Bug 483772 - SVK fails because it cannot find Time/Progress.pm
SVK fails because it cannot find Time/Progress.pm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-SVK (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
: Triaged
Depends On: 484293
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 10:23 EST by Derek Atkins
Modified: 2011-04-28 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:48:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2009-02-03 10:23:27 EST
Description of problem:

I just upgraded Fedora 10 yesterday and this morning I noticed that SVK isn't working anymore.  When I try to sync I get:

Can't locate Time/Progress.pm in @INC (@INC contains: /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl .) at /usr/lib/perl5/vendor_perl/5.10.0/SVK/Notify.pm line 214.


Version-Release number of selected component (if applicable):

perl-SVK-2.2.1-1.fc10.noarch


How reproducible:

Seems to happen every time I try to use "svk sync".
Some other svk operations seem to work okay.

Steps to Reproduce:
1. yum update (as of 2009-02-03 10:20am US/EST)
2. svk sync <depotpath>
3.
  
Actual results:

See above

Expected results:

It should sync.

Additional info:

I cannot find Time/Progress.pm in a package..  And indeed the perl-SVK RPM doesn't depend on perl(Time/Progress.pm) for some odd reason...  Probably because the "require Time/Progress.pm" is within a subroutine instead of global?

But this bug makes SVK practically useless.
Comment 1 Derek Atkins 2009-02-03 12:39:52 EST
For the record, I found, downloaded, and rebuilt perl-Time-Progress-1.3-1.fc9.src.rpm from http://rpm.mag-sol.com/Fedora/9/SRPMS/?C=N;O=D and when I installed the RPM then svk started working.

So really what needs to happen is:

1) the SVK RPM needs to depend on the Time::Progress perl module, and
2) you need to distribute the Time::Progress perl module in the yum repo
Comment 2 Ian Burrell 2009-02-05 16:54:40 EST
I missed that Time::Progress had been added to the requirements for the new version.  I am not sure why the auto-requires script did not detect it.  Or why the Makefile.PL did not fail when it wasn't present for build.

I added the requirement to the spec.  I submitted perl-Time-Progress for review (#484293).
Comment 3 Bug Zapper 2009-11-18 04:28:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:48:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.